netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
db_param.h File Reference
`#include <sys/param.h>`

Go to the source code of this file.

## Data Structures
struct | db_param

## Macros
#define | DEFAULT_LOGFILE_AUTOREMOVE 1
#define | DEFAULT_CACHESIZE (8 * 1024)
#define | DEFAULT_MAXLOCKS 20000
#define | DEFAULT_MAXLOCKOBJS 20000
#define | DEFAULT_FLUSH_FREQUENCY 1000
#define | DEFAULT_FLUSH_INTERVAL 1800
#define | DEFAULT_USOCK_FILE "usock"
#define | DEFAULT_FD_TABLE_SIZE 512
#define | DEFAULT_IDLE_TIMEOUT (10 * 60)

## Functions
struct db_param * | db_param_read (char *)

## Macro Definition Documentation

## ◆ DEFAULT_CACHESIZE

#define DEFAULT_CACHESIZE (8 * 1024)

KB, so 8 MB

## ◆ DEFAULT_FD_TABLE_SIZE

#define DEFAULT_FD_TABLE_SIZE 512

## ◆ DEFAULT_FLUSH_FREQUENCY

#define DEFAULT_FLUSH_FREQUENCY 1000

## ◆ DEFAULT_FLUSH_INTERVAL

#define DEFAULT_FLUSH_INTERVAL 1800

## ◆ DEFAULT_IDLE_TIMEOUT

#define DEFAULT_IDLE_TIMEOUT (10 * 60)

## ◆ DEFAULT_LOGFILE_AUTOREMOVE

#define DEFAULT_LOGFILE_AUTOREMOVE 1

## ◆ DEFAULT_MAXLOCKOBJS

#define DEFAULT_MAXLOCKOBJS 20000

## ◆ DEFAULT_MAXLOCKS

#define DEFAULT_MAXLOCKS 20000

## ◆ DEFAULT_USOCK_FILE

#define DEFAULT_USOCK_FILE "usock"

## Function Documentation

## ◆ db_param_read()

struct db_param * db_param_read | ( | char * | dir | ) |